dsc-datatool-transformer labler(7)

NAME
Labler - Rewrite numeric labels to textual labels using the provided YAML data as lookup tables.

SYNOPSIS
dsc-datatool --transform ";Labler;<dataset>;yaml=<file>"

DESCRIPTION
This transformer rewrites labels in datasets based on information provided in a YAML file.

The YAML structure is as follows:
    ---
    dataset_name:
      DimentionName:
        DimentionValue: RewriteTo

The dataset_name is the name of the dataset, DimentionName is the name of the dimension to rewrite and DimensionValue is the value to change to RewriteTo.

OPTIONS

dataset
    See dsc-datatool(1) on how to specify which dataset(s) to run the transformer on.

yaml=<file>
    The YAML file to load rewrite data from (required).

SEE ALSO
dsc-datatool(1)

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dsc-datatool/issues

For question and help please use:

    https://lists.dns-oarc.net/mailman/listinfo/dsc